using System;

namespace Zadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            double broj = double.Parse(Console.ReadLine());
            int d1 = 1, d2 = 2, d3 = 5;
            int k = -1;
            double ostatak = broj;
            int brojpn = 0;
            while (ostatak!=0)
            {
                k++;
                if ((ostatak - (d1 * Math.Pow(10, k))) == 0)
                {
                    brojpn++;
                    ostatak = 0;
                }
                else if ((ostatak - (d2 * Math.Pow(10, k))) == 0)
                {
                    brojpn++;
                    ostatak = 0;
                }
                else if ((ostatak - (d3 * Math.Pow(10, k))) == 0)
                {
                    brojpn++;
                    ostatak = 0;
                }
                else if ((ostatak - (d1 * Math.Pow(10, k))) < 0)
                {
                    brojpn++;
                    ostatak = ostatak - d3 * Math.Pow(10, k - 1);
                    k = -1;
                }
                else if ((ostatak - (d2 * Math.Pow(10, k))) < 0)
                {
                    brojpn++;
                    ostatak = ostatak - d1 * Math.Pow(10, k);
                    k = -1;
                }
                else if ((ostatak - (d3 * Math.Pow(10, k))) < 0)
                {
                    brojpn++;
                    ostatak = ostatak - d2 * Math.Pow(10, k);
                    k = -1;
                }
            }
            Console.WriteLine(brojpn);
        }
    }
}